Smalltalk interchangeVersion: '1.0'!
Global initializer!
!
Annotation key: 'program-comment' value: '

	This package contains the methods of the Camp Smalltalk (CS) ANSI compatibility tests that need dialect specific information.

Contact:
	Ralph E. Johnson
	email: johnson@cs.uiuc.edu.

	Richard A. Harmon 
	520 Second Avenue West
	Spencer, IA, USA  51301-3803
	(712) 262-5409
	email: harmonra@webname.com

Version.Release History:

         2001/10/06   REJ  Converted to VW5i
0.4B  2001/03/01   Harmon, R.A. Added all tests prev. not done.
0.4A  2001/02/01   Harmon, R.A. Created from the CS II ANSI test group
				consolidated CS II VisualWorks.
'!


ArrayTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'.	"DO30"
!

ArrayTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


BagTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'		"DO30"
!

BagTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has restrictions: DO30"
!


ByteArrayTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^'xxx'	"Has restrictions: DO30"
!

ByteArrayTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^true	"Has restrictions: DO30"
!


DictionaryTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'.	"DO30"
!

DictionaryTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


IdentityDictionaryTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'.	"DO30"
!

IdentityDictionaryTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


IntervalTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'.	"DO30"
!

IntervalTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


OrderedCollectionTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'.	"DO30"
!

OrderedCollectionTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


SetTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'
!

SetTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


SortedCollectionTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^self error: 'Has no restrictions.'.	"DO30"
!

SortedCollectionTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^false	"Has no restrictions: DO30"
!


StringTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^1		"DO30"
!

StringTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^true	"Has restrictions: DO30"
!


SymbolTest classMethod!
limitedElementTypes
	"Answer an object that can NOT be put in receiver class being tested collection, or signal an error if this dialect has no restrictions."

	^1		"DO30"

!

SymbolTest classMethod!
returnTypeHasLimitedElementTypes
	"Answer a <boolean> whether the receiver class being tested restricts the objects that can be put in its collection."

	^true	"Has restrictions: DO30"
!


